const { createLogger, transports } = require('winston');
const { configuredFormatter } = require('./');

// Create Logger and configure options.

const logger = createLogger({
    level: 'silly',
    transports: [
        new (transports.Console)(),
    ],
});
const options = {
    service: 'test-service',
    logger: 'Winston-JSON-Formatter',
    version: '1.0.0',
    typeFormat: 'json'
};

// set winston logger format and print logs.
logger.format = configuredFormatter(options);

// Availale log levels
logger.error('message');
logger.warn('message');
logger.info('message');
logger.verbose('message');
logger.debug('message');
logger.silly('message');

// Error Objects can be logged directly
err = new Error('Heroic BSoD')
logger.error(err)
